Non TortoiseGit lavoro con PortableGit-x.x.x.x-previewyyyyyy? Quali sono compatibili git versioni per TortoiseGit?

Non Tortoisegit lavoro con PortableGit-x.x.x.x-previewyyyyyy?
Se sì, come organizzare questi?

OriginaleL’autore numa | 2011-11-08

2 Replies
  1. 2

    Originale risposta (Nov. 2011)

    Dipende dal vostro Os (Win32 o 64), e la combinazione di TortoiseGit e msysgit.

    Le ultime versioni di solito dovrebbe lavorare insieme, ma si può vedere alcuni bug ancora in sospeso:

    Ogni volta che si dispone di un problema simile, segnalarlo sulla lista di bug, e cercare una versione intermedia.

    L’ultima, per esempio, dovrebbe risolvere l’attuale crash, sono:


    Aggiornamento Novembre. 2015: TortoiseGit funziona con git-per-windows (msys2) che sostituisce msysgit.

    Sia git-per-windows e GitHub Desktop di proporre Git 2.5(+)

    (GitHub Desktop include Portatile Git 2.5 da questa mattina)

    OriginaleL’autore VonC

  2. 22

    TortoiseGit (2.8) richiede un comando della riga di git.exe.

    Funziona con una varietà di diversi “git.exe i fornitori”. Nota:

    Si può mescolare versioni x86 e x64 di Git.exe e TortoiseGit. Tuttavia, x64 TorotiseGit verrà eseguito solo su Windows x64, e lo stesso per la versione a 32-bit/versione x86 di TortoiseGit che funzionerà solo su x86 di Windows.

    TortoiseGit cerca di trovare un Git per l’installazione di Windows o cerca di trovare un git.exe sul PATH variabile di ambiente. Se git.exe non è sulla vostra PATH, è anche possibile impostare il percorso git.exe manualmente in TortoiseGit finestra di dialogo impostazioni nella pagina generale.

    Grazie! Questa soluzione ha funzionato per me 🙂

    OriginaleL’autore MrTux

Lascia un commento